> ## Documentation Index
> Fetch the complete documentation index at: https://docs.britive.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update password policy details

## OpenAPI

````json PATCH /api/v1/secretmanager/pwdpolicies/{id}
{
  "openapi": "3.0.1",
  "info": {
    "title": "Secret Manager APIs",
    "version": "v1",
    "description": "API documentation for Secret Manager, Policy Administration, Notifications, Approval service, etc."
  },
  "servers": [
    {
      "url": "https://{tenantURL}",
      "description": "The primary server",
      "variables": {
        "tenantURL": {
          "default": "test.britive-app.com",
          "description": "The host of the server"
        }
      }
    }
  ],
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "tags": [
    {
      "name": "Approvals"
    },
    {
      "name": "Notification Service"
    },
    {
      "name": "Policy Administration"
    },
    {
      "name": "Secrets Manager"
    },
    {
      "name": "Secret Rotation"
    }
  ],
  "paths": {
    "/api/v1/secretmanager/pwdpolicies/{id}": {
      "patch": {
        "tags": [
          "Secrets Manager"
        ],
        "summary": "Update password policy details",
        "operationId": "updatePasswordPolicy",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "description": "Id of password policy",
            "required": "true",
            "schema": {
              "type": "string"
            },
            "example": "a6ed82f6-32b5-46d8-a3a3-c36cc574abd9"
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/PasswordPolicyDTO"
              },
              "example": {
                "name": "DBPasswordPolicy",
                "description": "Password Policy Updated",
                "passwordType": "alphanumeric",
                "minPasswordLength": "8",
                "hasUpperCaseChars": "false",
                "hasLowerCaseChars": "true",
                "hasNumbers": "false",
                "hasSpecialChars": "true",
                "allowedSpecialChars": "@#$%(",
                "pinLength": "9"
              }
            }
          },
          "required": "false"
        },
        "responses": {
          "204": {
            "description": "No content"
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "PasswordPolicyDTO": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "name": {
            "maxLength": "30",
            "minLength": "1",
            "pattern": "^[a-zA-Z0-9-_\\s]{1,30}$",
            "type": "string"
          },
          "description": {
            "maxLength": "255",
            "minLength": "0",
            "type": "string"
          },
          "passwordType": {
            "pattern": "\\s*alphanumeric\\s*|\\s*pin\\s*",
            "type": "string"
          },
          "allowedSpecialChars": {
            "pattern": "[^a-zA-Z0-9]+",
            "type": "string"
          },
          "minPasswordLength": {
            "type": "integer",
            "format": "int32"
          },
          "hasUpperCaseChars": {
            "type": "boolean"
          },
          "hasLowerCaseChars": {
            "type": "boolean"
          },
          "hasNumbers": {
            "type": "boolean"
          },
          "hasSpecialChars": {
            "type": "boolean"
          },
          "pinLength": {
            "type": "integer",
            "format": "int32"
          },
          "passwordOrPin": {
            "type": "string"
          }
        }
      }
    },
    "securitySchemes": {
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer"
      }
    }
  }
}
````

